Skip to main content
GET
Get Tenant User

Authentication

❌ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
❌ Service Account

Required Permissions

Tenant:Users:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

userId
string
required

User id.

Required string length: 1 - 64

Response

200 - application/json

Success

id
string
required

User id.

Required string length: 1 - 64
Pattern: ^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"us-6b58p-r53sr-rlrd3l5cj3uc4ome"

kind
enum<string>
required
Available options:
TenantUser
username
string
required
isRegistered
boolean
required
isActive
boolean
required
isSSORequired
boolean
required
permissions
object[]
required
orgs
object[]
required

orgs this user has access to

externalId
string